package sun.security.provider;

import java.io.IOException;

class NativeSeedGenerator extends SeedGenerator
{
    NativeSeedGenerator(String s) throws IOException {
        if (!nativeGenerateSeed(new byte[2])) {
            throw new IOException("Required native CryptoAPI features not  available on this machine");
        }
        return;
    }
    
    private static native boolean nativeGenerateSeed(byte[] p0);
    
    @Override
    void getSeedBytes(byte[] array) {
        if (!nativeGenerateSeed(array)) {
            throw new InternalError("Unexpected CryptoAPI failure generating seed");
        }
        return;
    }
}
